## parolottero 1.0

=== Makefile ===
# parolottero
# Copyright (C) 2021-2022 Salvo "LtWorf" Tomaselli
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

.PHONY: wordlists
wordlists: language_data/italian language_data/swedish language_data/american

dict:
	mkdir -p dict

dict/italian: dict
	wget https://github.com/napolux/paroleitaliane/raw/master/paroleitaliane/280000_parole_italiane.txt -O $@

language_data:
	mkdir language_data

language_data/%: language_data dict/italian
	utils/lang_init.py `basename $@` $@ $@.wordlist

.PHONY: clean
clean:
	$(RM) -r language_data
	$(RM) -r dict

.PHONY: dist
dist: wordlists
	rm -rf /tmp/parolottero/
	rm -rf /tmp/parolottero-*
	mkdir /tmp/parolottero/
	cp -R * /tmp/parolottero/
	( \
		cd /tmp; \
		tar --exclude '*.user' -zcf parolottero.tar.gz \
			parolottero/language_data \
			parolottero/utils \
			parolottero/src \
			parolottero/Makefile \
			parolottero/LICENSE \
			parolottero/README.md \
			parolottero/CHANGELOG \
			parolottero/CODE_OF_CONDUCT.md \
	)
	mv /tmp/parolottero.tar.gz ./parolottero_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./parolottero_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: deb-pkg
deb-pkg: dist
	$(RM) -r /tmp/parolottero*
	mv parolottero*orig* /tmp
	cd /tmp; tar -xf parolottero*orig*.gz
	cp -r debian /tmp/parolottero/
	cd /tmp/parolottero; dpkg-buildpackage --changes-option=-S
	mkdir -p deb-pkg
	mv /tmp/parolottero*.* deb-pkg
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb

translations:
	cd src; lupdate -verbose parolottero.pro

=== debian/changelog ===
parolottero (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 15:58:42 -0400

parolottero (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #1006156)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 12 Mar 2022 20:30:17 +0100

=== debian/control ===
Source: parolottero
Section: games
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends:
 debhelper-compat (= 13),
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev
Standards-Version: 4.6.0
Homepage: https://github.com/ltworf/parolottero
Vcs-Browser: https://github.com/ltworf/parolottero
Rules-Requires-Root: no

Package: parolottero
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 parolottero-data,
 qml-module-qt-labs-settings,
 qml-module-qtquick-window2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 qml-module-qtquick2
Recommends:
 qtwayland5
Suggests: parolottero-data-it, parolottero-data-us, parolottero-data-sv
Description: Compose words using a 4x4 grid of letters
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.

Package: parolottero-data-it
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero
Architecture: all
Description: Compose words using a 4x4 grid of letters, Italian game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Italian words.

Package: parolottero-data-us
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero
Architecture: all
Description: Compose words using a 4x4 grid of letters, US English game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with US English words.

Package: parolottero-data-sv
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero
Architecture: all
Description: Compose words using a 4x4 grid of letters, Swedish game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Swedish words.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/parolottero/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## parolottero 2.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # parolottero
-# Copyright (C) 2021-2022 Salvo "LtWorf" Tomaselli
+# Copyright (C) 2021-2032 Salvo "LtWorf" Tomaselli
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -16,28 +16,12 @@
 #
 # author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>
 
-.PHONY: wordlists
-wordlists: language_data/italian language_data/swedish language_data/american
-
-dict:
-	mkdir -p dict
-
-dict/italian: dict
-	wget https://github.com/napolux/paroleitaliane/raw/master/paroleitaliane/280000_parole_italiane.txt -O $@
-
-language_data:
-	mkdir language_data
-
-language_data/%: language_data dict/italian
-	utils/lang_init.py `basename $@` $@ $@.wordlist
-
 .PHONY: clean
 clean:
-	$(RM) -r language_data
-	$(RM) -r dict
+	$(RM) -r deb-pkg
 
 .PHONY: dist
-dist: wordlists
+dist:
 	rm -rf /tmp/parolottero/
 	rm -rf /tmp/parolottero-*
 	mkdir /tmp/parolottero/
@@ -45,8 +29,6 @@
 	( \
 		cd /tmp; \
 		tar --exclude '*.user' -zcf parolottero.tar.gz \
-			parolottero/language_data \
-			parolottero/utils \
 			parolottero/src \
 			parolottero/Makefile \
 			parolottero/LICENSE \

=== debian/changelog ===
parolottero (2.3-3) unstable; urgency=high

  * Build depends on qt6-l10n-tools (Closes: #1089987)
  * Fix repeated build (Closes: #1048846)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Dec 2024 11:45:22 +0100

parolottero (2.3-2) unstable; urgency=medium

  * Build with Qt6

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Dec 2024 15:10:02 +0100

parolottero (2.3-1) unstable; urgency=low

  * New upstream release
  * Give up on having language files in debian and remove the dependency

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 08 Dec 2024 23:50:13 +0100

parolottero (2.2-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.7.0
  * Set all languages as recommended

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 02 Sep 2024 21:58:48 +0200

parolottero (2.1-1) experimental; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 31 Oct 2023 17:49:40 +0100

parolottero (2.0-1) experimental; urgency=low

  * New upstream release
  * Languages are in a separate package, to allow separate releases
  * Simpler copyright file
  * Point to new upstream on codeberg
  * Bump Standards-Version: 4.6.2
  * Change email to debian alias

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 30 Oct 2023 20:16:57 +0100

=== debian/control ===
Source: parolottero
Section: games
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 qmake6,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-l10n-tools,
 dh-sequence-qmldeps,
Standards-Version: 4.7.0
Homepage: https://codeberg.org/parolottero/parolottero
Vcs-Browser: https://codeberg.org/parolottero/parolottero
Rules-Requires-Root: no

Package: parolottero
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${qml6:Depends},
Recommends: qt6-wayland
Description: Compose words using a 4x4 grid of letters
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.

## parolottero 2.4

=== Makefile ===
--- 
+++ 
@@ -51,4 +51,4 @@
 	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb
 
 translations:
-	cd src; lupdate -verbose parolottero.pro
+	cd src; /usr/lib/qt6/bin/lupdate -verbose parolottero.pro

=== debian/changelog ===
parolottero (2.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2
  * Depend on data files

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Jun 2025 11:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qt6-declarative-dev,
  qt6-l10n-tools,
  dh-sequence-qmldeps,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero
 Vcs-Browser: https://codeberg.org/parolottero/parolottero
 Rules-Requires-Root: no
@@ -19,7 +19,12 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${qml6:Depends},
-Recommends: qt6-wayland
+ parolottero-data-it | parolottero-data,
+Recommends: qt6-wayland,
+ parolottero-data-en,
+ parolottero-data-it,
+ parolottero-data-scn,
+ parolottero-data-sv,
 Description: Compose words using a 4x4 grid of letters
  A word game intended for touch screens.
  .

## parolottero 2.5

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 .PHONY: dist
 dist:
+	rm -rf src/build/
 	rm -rf /tmp/parolottero/
 	rm -rf /tmp/parolottero-*
 	mkdir /tmp/parolottero/

=== debian/changelog ===
parolottero (2.5-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 11 Sep 2025 20:04:08 +0200

parolottero (2.4-2) unstable; urgency=medium

  * Add parolottero-data-fr to recommends

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 02 Sep 2025 16:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  parolottero-data-it,
  parolottero-data-scn,
  parolottero-data-sv,
+ parolottero-data-fr,
 Description: Compose words using a 4x4 grid of letters
  A word game intended for touch screens.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --buildsystem qmake6

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/parolottero/parolottero/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
